GNU bug report logs - #34260
27.0.50; Emacs randomly hangs during redisplay

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: John Shahid <jvshahid@HIDDEN>; Done: Noam Postavsky <npostavs@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 27.1, send any further explanations to 34260 <at> debbugs.gnu.org and John Shahid <jvshahid@HIDDEN> Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug Marked as fixed in versions 27.1. Request was from martin rudalics <rudalics@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 34260 <at> debbugs.gnu.org:


Received: (at 34260) by debbugs.gnu.org; 19 Feb 2019 08:36:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 19 03:36:36 2019
Received: from localhost ([127.0.0.1]:53821 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gw0tI-0000Zb-Ap
	for submit <at> debbugs.gnu.org; Tue, 19 Feb 2019 03:36:36 -0500
Received: from mout.gmx.net ([212.227.15.18]:58671)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>)
 id 1gw0tF-0000ZK-RX; Tue, 19 Feb 2019 03:36:34 -0500
Received: from [192.168.1.101] ([213.162.73.134]) by mail.gmx.com (mrgmx002
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MWk3f-1gWz8D1YKZ-00XpCD; Tue, 19
 Feb 2019 09:36:26 +0100
Message-ID: <5C6BC005.2070701@HIDDEN>
Date: Tue, 19 Feb 2019 09:36:21 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: John Shahid <jvshahid@HIDDEN>
Subject: Re: bug#34260: 27.0.50; Emacs randomly hangs during redisplay
References: <87lg31khsy.fsf@HIDDEN> <5C52B28A.9080007@HIDDEN>
 <87imy4kjj5.fsf@HIDDEN> <5C5341ED.90609@HIDDEN> <87h8dnjzsn.fsf@HIDDEN>
 <5C556306.8090203@HIDDEN> <87ftt63ymx.fsf@HIDDEN>
 <8736ouq900.fsf@HIDDEN>
In-Reply-To: <8736ouq900.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:wwuClY50ONjKuGplqjeY2HIfYfHbuhkZgMYr/JdZrX+JH86iOcx
 BdYj8jpmDDcvr99IHWBCALmL93LfeCvtJ0aEvPxniW2UW+QOPgX7wsFZstjBcMEdem4YWRe
 mXTTI+83h0K4+VuoCbtfUNvczm//PB9b0zBBtlQxxi3+YG8/5Uf928/Ieu6BKZXub5T6Qrj
 tVuOdl5ZF5wJdgqlisSdg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:G7r8tB/f77E=:syGPwejeviyP8nPIeGaZUN
 LWTGVFGn4NEhwvZQd2Q7bWMh0AdFkpoEkxGitsPZrBoSPo/nFQ/ZKBZz/A5C++soDpRc6lekb
 nveW6hCmDKbkrrroWrj+XVdzOW58qOxHE3dtudYunT/QjeGhWcX8mFXq23HfFMcs2hBk9pRZo
 p7xNHQIJRmE+QiOLpCOp2b2EZnTNmUs+ooVwcqsl6ui0eSkqg5wA7NA0z58j6Xs2Sk8hmevm4
 MQwdgWTbSzDXcmy5ze3VhxWAMRz+W59WRt8lfC+6nDJY4+JqVLF9gYC55m37BKfx7863zJy19
 Ea9kml4j4SWozLz6bTA4A58mhv5OE8pWcMokz+3eQ6nYyY4VLtxJmhVJ9jn8JYogiXCstgIvJ
 sPRr8wBdoZJrc15XCKKSWSEprdJNOsP+incUlPM0JNPdmQdt3hQl0HEdpnDmVjfLWz2rXrhUN
 h/1w6CoGvJiimcP8dJ87P2W16VkuMYwDIiP0CaxeY0K0olLO02IR6xL3882svrmTlYHW2pc/n
 CyHnPsmRvsnQoZ5YDGsdU2UXYu9Kj71gw0Ixra92smSLQjcig1TmE3Rq5WxQmQiKSOy1tWpZj
 GXtVHacjU60A3aMgBcjBAkNefNWT/rQW26uMfIKzNatQsZF84Y5n3+MOG88X9OJ19t/q2uGnq
 wmMPaNXwd+KKpKepwrrcPcQAjCpMo83ovauDHVSli4a5rwy37LHc8gO0KIXN8fIQKP08DXGZX
 8BzORlTMKFtg7DSOt/xVFr4Ju85/YB81J3beDR5uk+upDmzz2xlPMc/fP/I43TNm0Qreh75PJ
 wJ020t81qQ2XNffvCVZtDwUZb7fAUyApRg4N2dCWVlZYHhClCgtxTyaw/T9f+qMbJxur3h+Cl
 k44RtPBduyrK0tOF6LtGkcy51tSynecG7zJTZ5SEtkyIGGI9vQ/M+LJUH7F3DVpbSTCMQq4pt
 dvPxibLKzvg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34260
Cc: 34260 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

fixed 34260 27.1
quit

 > I haven't noticed any hangs locally.  I think this bug can be closed.

Done.

Thank you, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34260; Package emacs. Full text available.

Message received at 34260 <at> debbugs.gnu.org:


Received: (at 34260) by debbugs.gnu.org; 11 Feb 2019 22:02:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 11 17:02:37 2019
Received: from localhost ([127.0.0.1]:44188 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gtJeu-0006wz-Lk
	for submit <at> debbugs.gnu.org; Mon, 11 Feb 2019 17:02:36 -0500
Received: from mail-qt1-f170.google.com ([209.85.160.170]:44398)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jvshahid@HIDDEN>) id 1gtJes-0006wk-Ei
 for 34260 <at> debbugs.gnu.org; Mon, 11 Feb 2019 17:02:34 -0500
Received: by mail-qt1-f170.google.com with SMTP id n32so576618qte.11
 for <34260 <at> debbugs.gnu.org>; Mon, 11 Feb 2019 14:02:34 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:to:cc:subject:in-reply-to:date
 :message-id:mime-version;
 bh=ZemlRji9xTffCX8pzXeT64xwx06BbWYXt099HaQxjow=;
 b=VUB5D5f0rR3O8SdXYtoOaDhyyIenRhKOBBu66Ri6Cpnlx/aOMCbThso1rmx+bYcMDS
 oQ1ShfxejImd66chIiKs7m5SrUfPxFUnFDZ5eXbh8wgwiGX6sip7Gy7xu3sKSFL8CF4f
 7jresS5/tWbvqghSrvq+/KXAjGdXLkiPHWx1+qHYPyAvc8EICsImV2v4aH378uEKS2vt
 yOJvJ0u26hbH0AEs6R+YFN1EvodW3M+fSseqw3GkQsHGwjFESI9racGrU00eDUjFCrLx
 afz2jspz0jXD95dVl3U/n9ZpvAyPmYtSc3xE63KCipVJEHIx5tMTUtsnX63W3OXgT1vV
 1P0Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :in-reply-to:date:message-id:mime-version;
 bh=ZemlRji9xTffCX8pzXeT64xwx06BbWYXt099HaQxjow=;
 b=oHRcWxjtZB/O2wsa8qaLQCBbZwzrBdpCAL1dmMLR1p7qKINNx8+ywOnnbtRK+TWbFD
 t8c0M2RcIpQq9ySgonYUw1GURliBqmGhmEzkuFwM1CAIIxwBlx+w5HTRFlPI/DEFyWai
 2Le0MQ1t9d8fWT5ocR3fC8GHBaotSeA7qtK4jXxZaVNRAHs8tFCyFvpR4lk79DyQW9hN
 Oy4P91eKQz2woEbNcXHxNOVYoCkFw9uHeFs1tHfbGlQKMtQTaZdnW3Cbal09ZFm1XfPB
 9Ui8KKhdCmprl2nvpvPpDaekNp+UAN9PuCNBhJrOvtdkRMBjF/eQfdTfFVHP1QnX5tRs
 gQpw==
X-Gm-Message-State: AHQUAubirah8TLT/u7++iijCjsje9h2Pmr2BMN2L6GsOcGroTO1evhkH
 whcPNhzS1iHvFlKduuLAGYsVtRY/
X-Google-Smtp-Source: AHgI3IZhUE5ihJd5NzLKubS0ySgu1blHpnqyBuVG6PQXj1IzbKFREPmG6Lz/JWNaO6n8Wvwm7xxKZQ==
X-Received: by 2002:ac8:2ce4:: with SMTP id 33mr360368qtx.6.1549922548376;
 Mon, 11 Feb 2019 14:02:28 -0800 (PST)
Received: from amun (cpe-104-162-85-46.nyc.res.rr.com. [104.162.85.46])
 by smtp.gmail.com with ESMTPSA id m44sm18231930qtm.97.2019.02.11.14.02.26
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 11 Feb 2019 14:02:26 -0800 (PST)
References: <87lg31khsy.fsf@HIDDEN> <5C52B28A.9080007@HIDDEN>
 <87imy4kjj5.fsf@HIDDEN> <5C5341ED.90609@HIDDEN> <87h8dnjzsn.fsf@HIDDEN>
 <5C556306.8090203@HIDDEN> <87ftt63ymx.fsf@HIDDEN>
User-agent: mu4e 1.1.0; emacs 27.0.50
From: John Shahid <jvshahid@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#34260: 27.0.50; Emacs randomly hangs during redisplay
In-reply-to: <87ftt63ymx.fsf@HIDDEN>
Date: Mon, 11 Feb 2019 17:02:23 -0500
Message-ID: <8736ouq900.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34260
Cc: 34260 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


I haven't noticed any hangs locally.  I think this bug can be closed.
Thanks Martin!

Cheers,

JS

John Shahid <jvshahid@HIDDEN> writes:

> martin rudalics <rudalics@HIDDEN> writes:
>
>>>> I hope to post a fix for Bug#34179 by the end of this week.  If it
>>>> doesn't work for you then we'll have to contact Chris Feng.
>>>
>>> Sounds good.  Thanks Martin.
>>
>> Please try now with latest master and report any anomalies you still
>> observe.
>
> Thank you.  I compiled master and running it locally.  I will let you
> know as soon as I notice anything weird.
>
> JS





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34260; Package emacs. Full text available.

Message received at 34260 <at> debbugs.gnu.org:


Received: (at 34260) by debbugs.gnu.org; 2 Feb 2019 17:10:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 02 12:10:11 2019
Received: from localhost ([127.0.0.1]:56557 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gpyny-0008E3-SN
	for submit <at> debbugs.gnu.org; Sat, 02 Feb 2019 12:10:11 -0500
Received: from mail-qk1-f172.google.com ([209.85.222.172]:43106)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jvshahid@HIDDEN>) id 1gpynw-0008Dn-Vw
 for 34260 <at> debbugs.gnu.org; Sat, 02 Feb 2019 12:10:09 -0500
Received: by mail-qk1-f172.google.com with SMTP id z18so6068481qkj.10
 for <34260 <at> debbugs.gnu.org>; Sat, 02 Feb 2019 09:10:09 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:to:cc:subject:in-reply-to:date
 :message-id:mime-version;
 bh=IR5GsrZEiu/BFmNv7AzgmtZv39x6jJCCYk6cOf0IxHQ=;
 b=bTjPx7aIdu0WBTLPOsRqpm6olJj2hdF8ezdtlTQnLaBgDAu/HhewiezHxncxS6kt/n
 wErt5T/4LX5TW+SIjw4grytJxuLAXGnzXD6S/VESP56TAgrzTdLCbjqHXC5kHrQzJvVc
 cOfl9bkXE8X4p6iymoR7fF7XFYu7B8lYBK6L3H0/g3pBbZ1pqcdeD8TX4KrMRMb4gAR4
 WBsyVMTBRggXvxJrPyy2J+DvZtBSn3Qs4o5VXfHL8t92VzpQz8eE0g3pNppWRxsrod/W
 OJ4FotOKnmsmgotEPGRa95RVBUll33O2Qk9e3NWxWTHpud86GqUp+wARk5FPjbsrDrPR
 J+fQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :in-reply-to:date:message-id:mime-version;
 bh=IR5GsrZEiu/BFmNv7AzgmtZv39x6jJCCYk6cOf0IxHQ=;
 b=LcyOnd06lZZm4xQ8LSMhgPWVXT80WfX1ncE/aYSJYpTacE27IZM/wxYhlkaCNvcA2N
 ppjipsZLIepsVNddOAKH2Om44p6s9/w6355rt9EaLbZ2AV3EdA/c/NvOF/yu76K2rfJx
 jv/bsvGHpVqkfkVp8H/e8XIgskl+aMlTl7NlRPsvmfhdUygQ/NBNIxEsX+0fe8cXLYUa
 0RDbzf8MkJaVFDoU3pOm/UMEcydRfFszm8TVoFigtQLYjo/AmHvGOqcnENNuG0jXEegr
 WIos2I9Vdsd354eMB5ZC0CPc6Ts221CY8OQ9jpI+4zi0gtpkvl9KCmDLL0EXqIXDTgP7
 ZCZw==
X-Gm-Message-State: AJcUukfwGyJKT5LHW7f2owY2VvyuN9fFeGoUm9io1ABv/O0NzPZyJ1f/
 RRq7F/Zilv7nGaXKRu1uzUv6PR9h
X-Google-Smtp-Source: ALg8bN5ZYDmquIbRJWvuhS42ay0xPxdnoJciC4rZsZHBvzxBDHYHm+DSCUqIx+JSXSWoDCGVdLbhqQ==
X-Received: by 2002:a37:9201:: with SMTP id u1mr41288475qkd.258.1549127403079; 
 Sat, 02 Feb 2019 09:10:03 -0800 (PST)
Received: from amun (cpe-104-162-85-46.nyc.res.rr.com. [104.162.85.46])
 by smtp.gmail.com with ESMTPSA id u4sm8407388qkk.51.2019.02.02.09.10.01
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sat, 02 Feb 2019 09:10:01 -0800 (PST)
References: <87lg31khsy.fsf@HIDDEN> <5C52B28A.9080007@HIDDEN>
 <87imy4kjj5.fsf@HIDDEN> <5C5341ED.90609@HIDDEN> <87h8dnjzsn.fsf@HIDDEN>
 <5C556306.8090203@HIDDEN>
User-agent: mu4e 1.1.0; emacs 27.0.50
From: John Shahid <jvshahid@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#34260: 27.0.50; Emacs randomly hangs during redisplay
In-reply-to: <5C556306.8090203@HIDDEN>
Date: Sat, 02 Feb 2019 12:09:58 -0500
Message-ID: <87ftt63ymx.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34260
Cc: 34260 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


martin rudalics <rudalics@HIDDEN> writes:

>>> I hope to post a fix for Bug#34179 by the end of this week.  If it
>>> doesn't work for you then we'll have to contact Chris Feng.
>>
>> Sounds good.  Thanks Martin.
>
> Please try now with latest master and report any anomalies you still
> observe.

Thank you.  I compiled master and running it locally.  I will let you
know as soon as I notice anything weird.

JS




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34260; Package emacs. Full text available.

Message received at 34260 <at> debbugs.gnu.org:


Received: (at 34260) by debbugs.gnu.org; 2 Feb 2019 09:29:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 02 04:29:54 2019
Received: from localhost ([127.0.0.1]:55477 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gprcY-0000ev-0y
	for submit <at> debbugs.gnu.org; Sat, 02 Feb 2019 04:29:54 -0500
Received: from mout.gmx.net ([212.227.15.15]:42451)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1gprcW-0000ed-2M
 for 34260 <at> debbugs.gnu.org; Sat, 02 Feb 2019 04:29:52 -0500
Received: from [192.168.1.101] ([212.95.5.95]) by mail.gmx.com (mrgmx002
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MFMIO-1gt9Pv2xYS-00EJRV; Sat, 02
 Feb 2019 10:29:43 +0100
Message-ID: <5C556306.8090203@HIDDEN>
Date: Sat, 02 Feb 2019 10:29:42 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: John Shahid <jvshahid@HIDDEN>
Subject: Re: bug#34260: 27.0.50; Emacs randomly hangs during redisplay
References: <87lg31khsy.fsf@HIDDEN> <5C52B28A.9080007@HIDDEN>
 <87imy4kjj5.fsf@HIDDEN> <5C5341ED.90609@HIDDEN> <87h8dnjzsn.fsf@HIDDEN>
In-Reply-To: <87h8dnjzsn.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:JVpaFiyzkk4SByIPokuNYBb9gZDTd317xvPkQ++qpZpISZXUWM6
 IfbGv8AsqKK2H7tDl8Z/qgdbn4fEdy0s5FH+pxnZCDMBFED189uuF184nn6i9L9cjgZtNEH
 jhONl5nKQadvx5l43sCntVOmGAR6PhoC7wdIH7Myh1IppictiWpNspRoEEyyd3k2i1prIn8
 EMAIYZMHvWewMIJSCfRcA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:nzzUNoK7pG0=:HoRELiOPxf5fK/0IbyELyF
 oZConfGwe5P0ZGpxVso/1cK9/j/XgJdD7u864sxtFt6ve4x0DnfylF71M5dRwjExM5t/3XEe2
 D4mEep8yViBVcwviikBcSkfb39CvGJpqPwE3wRbtaa906dy/WcZolqlS+WkEVQTPii9u7j9vZ
 G+XiUeubOPrhKfzN0LhW0qvYQNqNUOlfEoOSUyKlNf9iRObhH13bc+KX3b930YV0qSEAhctSc
 0o1C1fV/7cXsxIQmAGQ+nJXGJcNvuUKzS0tJznf+4H5SI+MwCLCyiLw7NM1PoiAeGYzSud7Jb
 yPkoD/d72ctR/KsNkhcTsbVCz5517xONyrtg7T2FcWXYIBvBplKVMpzLWMc9CfJJ8BFfFuiQr
 qM5yc6Eme3rM+0NiprwDIS+7Jel6nwZjkbSyRvsoUR5IimBqjXVee+Vqt1ZxSpqKTPyqh6c4x
 jfAfH0LysodwyeqvHemwFa79tWlZCDC8kgMD4XKDbLCMawLLHaS+qeZARLrHz3oQMCJ8IH0bh
 Uh8FioBoTsdnMES1mYbF33I+zU/Kr0SVVI4mJvK8sAopJ/YE6KSS78mkyxR4xUl/QyVcJ0NMx
 icfOA02goPzGMBXPBa5/5GQYAFjEMyFQCXl+YXlkWpaWeA0Q9NQDj+Eo0+X8AJ1GrR23BkL1N
 mWvt2B2sQFhLiAU6jjiR8NGuqDVN3632F0JKOwLEKIzbv93r7ZPjxK8Bqw/kSQAEaLGqBygtm
 okzXV/kp+vMW0VleU9fZMGu+HOITPiJsQxUNUtmSddrdOvHC1bMO3JZxWOw44KK7+bWdrp+2Z
 YH0bQkjPxy7y0oCq+DqolYmohCsxYxjSZbX8UPmNW16qDd96ndcJ+mwowlrH6lemPEIBB+t0Z
 FZBHE8SMJA1W6/wG8gxVE1f8N7PKfsCrKpxZdbTOv2RQNdpHI7oxOUT49g9f7eJreZjWJ/72G
 hixriu24yQw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34260
Cc: 34260 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 >> I hope to post a fix for Bug#34179 by the end of this week.  If it
 >> doesn't work for you then we'll have to contact Chris Feng.
 >
 > Sounds good.  Thanks Martin.

Please try now with latest master and report any anomalies you still
observe.

 > A side question, is there a way to get
 > notification on a specific bug in debbugs ?

Notification in which sense?  The bug tracker should have confirmed
that you posted the bug and should inform you as soon as it is closed.
You will get any messages sent to the bug number if you are either
subscribed to bug-gnu-emacs or you're CC-ed in the message (the latter
being something most subscribers of bug-gnu-emacs do).

Thanks, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34260; Package emacs. Full text available.

Message received at 34260 <at> debbugs.gnu.org:


Received: (at 34260) by debbugs.gnu.org; 1 Feb 2019 15:26:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 01 10:26:12 2019
Received: from localhost ([127.0.0.1]:55134 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gpaho-0002cC-5h
	for submit <at> debbugs.gnu.org; Fri, 01 Feb 2019 10:26:12 -0500
Received: from mail-qt1-f177.google.com ([209.85.160.177]:44756)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jvshahid@HIDDEN>) id 1gpahm-0002by-36
 for 34260 <at> debbugs.gnu.org; Fri, 01 Feb 2019 10:26:10 -0500
Received: by mail-qt1-f177.google.com with SMTP id n32so7837927qte.11
 for <34260 <at> debbugs.gnu.org>; Fri, 01 Feb 2019 07:26:10 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:to:cc:subject:in-reply-to:date
 :message-id:mime-version;
 bh=FLfRyMkjbMxAX3kZiJIc5W08YBQ/X+rNmjjfl1ud9k4=;
 b=bdAZk6DL1Cd65w3a27TQUPUWeWTMHMIyTiiGOIISL6RpPlY1R/2nkEXGeryYCKntI6
 ZRKJzX8kp8Tt471mr7SQVpB7iWvnrMAOKXcpaX9gFgRgMhv4OzPmklV9YAIv1aVAtmO8
 xB+WbVsMVRKkw7imDaUS3CQo964K8rFfWwcFjK3b0MiLeIi6Mv9xfVGffxsEbqiSe8Sj
 9sGGCXJsxx2ozZD30b3x9uCLLXyerYqLH0FniV4+NLarWvYAcqxDD7Pz2BJA8BeOwKPy
 BRh77NG2NwTNPA5n6az8Jz7D9VyqizXiwRYZ9jleyQRJjXbhrKZu5CCS9tUU+cp6icV+
 gPNQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :in-reply-to:date:message-id:mime-version;
 bh=FLfRyMkjbMxAX3kZiJIc5W08YBQ/X+rNmjjfl1ud9k4=;
 b=MAXuGy/J5j3h3hBUZN+OBDLRDlb+nuxlkb6YwuML2Fc5tQC/Uf7jiwQoYHVa8DZuOT
 SWgzip93sS4NZxQMxZ3aKarFPaW421ddqU4IZZxYE/Uszbsv9qN8NApN5+H4vRVPpxr5
 vG+fjxvURhWlbt8thVRIexSvVyYPdOfxmeGFBO8Ldtg7Xq2cvY4y89a1yL9OZso2ViFL
 0OTBGDej2hFnK3ARhQxIZ2Wp4Qmnk1zoNWNIkm1nEEyCEbDzDbbxis4oNkk5pOmWGPY1
 FfwET4G2JsGDkV7iOeH5JI3HuT92OqlX4afGHsLwgGw2Ds/cuHekT172Z7u0Cgk8oyz4
 b9AA==
X-Gm-Message-State: AJcUukfJZCPX+h7xFOVNAW66Yg3lIUI5LoHbddkisrupjhN1uSuUdwEQ
 GDOHxhFYSSd6SGghxOa1uRwFEKb2
X-Google-Smtp-Source: ALg8bN6DkUwSvxtq9adUx2voNFQtoqVumIQK7BFgtMFYAYvzC839blIbtL8g6uKFrzTB/wY4TR1Mbg==
X-Received: by 2002:a0c:d94f:: with SMTP id t15mr37909114qvj.189.1549034764081; 
 Fri, 01 Feb 2019 07:26:04 -0800 (PST)
Received: from amun (cpe-104-162-85-46.nyc.res.rr.com. [104.162.85.46])
 by smtp.gmail.com with ESMTPSA id c11sm5226164qtn.95.2019.02.01.07.26.02
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Fri, 01 Feb 2019 07:26:03 -0800 (PST)
References: <87lg31khsy.fsf@HIDDEN> <5C52B28A.9080007@HIDDEN>
 <87imy4kjj5.fsf@HIDDEN> <5C5341ED.90609@HIDDEN>
User-agent: mu4e 1.1.0; emacs 27.0.50
From: John Shahid <jvshahid@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#34260: 27.0.50; Emacs randomly hangs during redisplay
In-reply-to: <5C5341ED.90609@HIDDEN>
Date: Fri, 01 Feb 2019 10:26:00 -0500
Message-ID: <87h8dnjzsn.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34260
Cc: 34260 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


martin rudalics <rudalics@HIDDEN> writes:

>>> (3) The minibuffer window of the selected frame is or should be enlarged.
>>
>> I am not sure.  In the stacktraces I looked at there was always a call
>> to `message', but I'm not sure what are the args to it.  Due to the
>> nature of my setup (i.e. using EXWM/Emacs as the window manager), when
>> this happen it is little hard to debug from inside Emacs and I have to
>> use gdb.  I am not sure how to get the args from gdb.
>
> Never mind.  I'm afraid that EXWM is much too refined in its use of
> frame/window features as to make its parsing possible for anyone but
> its author.
>
> I hope to post a fix for Bug#34179 by the end of this week.  If it
> doesn't work for you then we'll have to contact Chris Feng.

Sounds good.  Thanks Martin.  A side question, is there a way to get
notification on a specific bug in debbugs ?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34260; Package emacs. Full text available.

Message received at 34260 <at> debbugs.gnu.org:


Received: (at 34260) by debbugs.gnu.org; 31 Jan 2019 18:44:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 31 13:44:15 2019
Received: from localhost ([127.0.0.1]:53313 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gpHJv-0000AN-5Q
	for submit <at> debbugs.gnu.org; Thu, 31 Jan 2019 13:44:15 -0500
Received: from mout.gmx.net ([212.227.15.18]:40043)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1gpHJt-0000A5-V5
 for 34260 <at> debbugs.gnu.org; Thu, 31 Jan 2019 13:44:14 -0500
Received: from [192.168.1.101] ([212.95.5.162]) by mail.gmx.com (mrgmx002
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0LpL4H-1hL3h544Av-00f9s1; Thu, 31
 Jan 2019 19:44:07 +0100
Message-ID: <5C5341ED.90609@HIDDEN>
Date: Thu, 31 Jan 2019 19:43:57 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: John Shahid <jvshahid@HIDDEN>
Subject: Re: bug#34260: 27.0.50; Emacs randomly hangs during redisplay
References: <87lg31khsy.fsf@HIDDEN> <5C52B28A.9080007@HIDDEN>
 <87imy4kjj5.fsf@HIDDEN>
In-Reply-To: <87imy4kjj5.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:NRxv/wi4Fj/lWYh+oTWTuroq7ndafE4DlD0GraUiLnp1qWmZxqe
 HvNdmMJm7/BIAthBoqwOUBPLFCcmbXMnxUQfQ3ygKP6yZcGMNjWxjgJGGI7lKsvzuzINri4
 n6C0YVDM2RmSCp3aPU3KDGjGJzmW0OeZuA0eq9GHtnTT5piXEzZicB5yzYkBARZ3I4LXcPc
 DkgdeJYFNliXlDK9DxgZQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:RWl0wagy/54=:4hb/OtgqHDqH/LrGW3WHcK
 k4Rkcp4QgRw0noqy+ogBDN5XHA0QxXGBK1hZ6DQvD4C+BccXP96DlLI7BJA3tBXs/1cgCJvMc
 so/COvA4Odv24nxphEz9+CWiJupti4gxcmGgawZYLKuRAfHWp+mdeWJUBIzFUsifmCENHFCbe
 46v5Kl77ROFDQOaw09WRKB3YQTd8pl5Rt5nuJAVBB4wAMnb/uK7UuSkT63sqwQZE85tTf0gCT
 b+OFejXZ62paRMoKmymsvkUCWbKHuuKBYtD0DvNLuFtSSs/AXbHCBvRT0gKHK+3LGNbz9EqZQ
 G6duvZSDIRYR9CfBl/nfRwZGLQI3aaehcjZglOou38zVJX4brGze7LDpLDnpzrgMbJg7ZR9lB
 o9M1tsFcPzbcSPzcZPv1sMM9iqxYgScCXzrVzrI6tVllEIb0KC5EsmFknsbjRD45hslxT3YUn
 gXy25oPTs37zWtCwcnvY9odXDnhM+GXnfyHyfRuBBFGl3mSlP0FKDoE4qcOvjDwMdKlAqxPCZ
 tCT2opr7XniNZVZniQIiyRd+5nOeotuIhKrsh9ta+Kw1lQ37Gs7UDSKXTHWwK/A3Ubc7/H6YR
 SwVxbBJF4gPFnrdFv/0wvBu9X4btVRhX6g3F/Fl9z0d/HrKnGLfcBCvPaPJ5bLLfvSPoGnD4D
 sSsesIeGPFAmi8IrD6+lYpLDM7WVvZoWTq4Ie8l8M8deJjYc6NobL+5fR/nZyS0W6laMSNvsR
 J/ZWtbfstHC3VkARIQeM0k3200XhkLo2Urzfcve/ASDd2shXx6UuUonWh4IhQJCpQmSNStfaY
 uAUIPSwcXtdWo46RE9K0mNxoBqW30OdZn6Uf4NdcOLpEm06ch/p2Lvwplb5VEX5i5SusTlceB
 vs5MXmpRtEAqCjxHDr38Bmvuaq0Z5N++wmhOnsGdd2rQiVlQzPCgXE8TneSACZvv2hqOKft+k
 OOJD+Q/u1IQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34260
Cc: 34260 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 >> (3) The minibuffer window of the selected frame is or should be enlarged.
 >
 > I am not sure.  In the stacktraces I looked at there was always a call
 > to `message', but I'm not sure what are the args to it.  Due to the
 > nature of my setup (i.e. using EXWM/Emacs as the window manager), when
 > this happen it is little hard to debug from inside Emacs and I have to
 > use gdb.  I am not sure how to get the args from gdb.

Never mind.  I'm afraid that EXWM is much too refined in its use of
frame/window features as to make its parsing possible for anyone but
its author.

I hope to post a fix for Bug#34179 by the end of this week.  If it
doesn't work for you then we'll have to contact Chris Feng.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34260; Package emacs. Full text available.

Message received at 34260 <at> debbugs.gnu.org:


Received: (at 34260) by debbugs.gnu.org; 31 Jan 2019 14:07:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 31 09:07:38 2019
Received: from localhost ([127.0.0.1]:52239 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gpD0E-00046s-AP
	for submit <at> debbugs.gnu.org; Thu, 31 Jan 2019 09:07:38 -0500
Received: from mail-qk1-f175.google.com ([209.85.222.175]:37548)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jvshahid@HIDDEN>) id 1gpD0D-00046c-2I
 for 34260 <at> debbugs.gnu.org; Thu, 31 Jan 2019 09:07:37 -0500
Received: by mail-qk1-f175.google.com with SMTP id g125so1919550qke.4
 for <34260 <at> debbugs.gnu.org>; Thu, 31 Jan 2019 06:07:37 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:to:cc:subject:in-reply-to:date
 :message-id:mime-version;
 bh=W0f8i1BOboSVVLJZTky9LWB+eOEbRpJJZxYmu/NDT6U=;
 b=RibUj62AX7aAAR5UqCHdD2drNCQC1MXSZ7UPz8lf0f1MQY51cOHAkdFoQ1fovWzKax
 Wr326lvYOwKEVjsM/ALRlJ+CaEKgeq+vrbNMSz9CFllbXvJEXZJ6d3NkVW4MCfgiXrZ5
 CmhMdhgkACLCZTtx8j6TBhXmyjrCezesQoYj8ZTdKuzysE2fWhNBbuEZm+wlo4AI4Ya8
 jdpdMnjLP/Nm+nQVkra+D64CJlpl6886e4kgdRhgJmvdNfYtFTQwU4BDohD69Ji5oZls
 cpmfP13ryCGs3gxIGK5mK64G+mAIYQ7OnmB786RDbVOPK1jH/c2AzEtKjR6E/UnTB9sn
 uC6Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :in-reply-to:date:message-id:mime-version;
 bh=W0f8i1BOboSVVLJZTky9LWB+eOEbRpJJZxYmu/NDT6U=;
 b=qsNaiTvh24lrSjG11pacH1qxyucOCvOLqyVqPDrE2L895JSlCLFvTHyVFKLb7t1Iy8
 bVY5SkzzOA6masaU2axtbXntRtVWdP6m2hisN11JW8aBFcywDHO8WtNPtjQxmT+4pAXK
 txdMzehhphJZLb+dr/BePJhDLCR8Ecb8BYO2FhZOLpxob74PH8gO8KEvt88+tThP4XNm
 CWvBmxoesGjSWCQE3IuBs/M/SE+WusEWK28GXhasHQyHcxeUCkk6MJI7BgAt9pILLLq1
 y7z5+nOW+lXNlAgzgocqzu8e3qnfAti9pJCkCJzQ/uYnQo0UzUgiE0NtYNBNo7gMEnBq
 PGrg==
X-Gm-Message-State: AJcUukfZjq+qlUA9M79oCEPI8/yjd5OSkolW2RjNELnyWCJAsmP6g7Qw
 OkU79ci4Xk9GAaxgfm5SXcLQe1LZ
X-Google-Smtp-Source: ALg8bN4DlIufRFoNKGK0xN8NbFERhBzAdgba3lITEBIVMR8qkmI2EIsdtp9HlKdiEpEfn0mDGua9Dw==
X-Received: by 2002:a37:945:: with SMTP id 66mr31829689qkj.123.1548943650925; 
 Thu, 31 Jan 2019 06:07:30 -0800 (PST)
Received: from amun (cpe-104-162-85-46.nyc.res.rr.com. [104.162.85.46])
 by smtp.gmail.com with ESMTPSA id t5sm5067192qkl.14.2019.01.31.06.07.29
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 31 Jan 2019 06:07:29 -0800 (PST)
References: <87lg31khsy.fsf@HIDDEN> <5C52B28A.9080007@HIDDEN>
User-agent: mu4e 1.1.0; emacs 27.0.50
From: John Shahid <jvshahid@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#34260: 27.0.50; Emacs randomly hangs during redisplay
In-reply-to: <5C52B28A.9080007@HIDDEN>
Date: Thu, 31 Jan 2019 09:07:26 -0500
Message-ID: <87imy4kjj5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34260
Cc: 34260 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


martin rudalics <rudalics@HIDDEN> writes:

>> Let me know how I can debug this issue further.  Would the display
>> engine trace help in this case ?  Emacs doesn't enter an infinite
>> recursion but from the CPU usage it is entering some sort of infinite
>> loop, but I can't figure out why.
>
> Please tell me if the following hold when the hang occurs:
>
> (1) You have at least two frames open.

Yes.  EXWM creates a frame per monitor.  I have two monitors which is
equivalent to two frames.  I verified that by running `(frame-list)'
which gave me the following `(#<frame *Minibuf-1* 0x915df20> #<frame
*eshell* 0x1408c30>)'.

> (2) You run an externl process (likely shell) in a non-selected frame.

Very likely.  I didn't what to look for when this happened, but I almost
always have an eshell/ansi-term window open.

> (3) The minibuffer window of the selected frame is or should be enlarged.

I am not sure.  In the stacktraces I looked at there was always a call
to `message', but I'm not sure what are the args to it.  Due to the
nature of my setup (i.e. using EXWM/Emacs as the window manager), when
this happen it is little hard to debug from inside Emacs and I have to
use gdb.  I am not sure how to get the args from gdb.

JS




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34260; Package emacs. Full text available.

Message received at 34260 <at> debbugs.gnu.org:


Received: (at 34260) by debbugs.gnu.org; 31 Jan 2019 08:32:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 31 03:32:28 2019
Received: from localhost ([127.0.0.1]:52133 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gp7ls-0002Gy-3A
	for submit <at> debbugs.gnu.org; Thu, 31 Jan 2019 03:32:28 -0500
Received: from mout.gmx.net ([212.227.17.22]:38317)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1gp7lq-0002Gk-BO
 for 34260 <at> debbugs.gnu.org; Thu, 31 Jan 2019 03:32:26 -0500
Received: from [192.168.1.101] ([212.95.5.7]) by mail.gmx.com (mrgmx101
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0M0cs6-1h9PmG1wnG-00up4b; Thu, 31
 Jan 2019 09:32:18 +0100
Message-ID: <5C52B28A.9080007@HIDDEN>
Date: Thu, 31 Jan 2019 09:32:10 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: John Shahid <jvshahid@HIDDEN>, 34260 <at> debbugs.gnu.org
Subject: Re: bug#34260: 27.0.50; Emacs randomly hangs during redisplay
References: <87lg31khsy.fsf@HIDDEN>
In-Reply-To: <87lg31khsy.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:aIxyqMPagbBRD+ofTu6Du5OQ7uTGB+o9BUq0LEDeEDFRD9IdkEj
 kDnGXFH2bosQSC0/8e3XU5Ssuc4E5P7ogJgZ20tUSNv/9xihgMMpJF21NwCfG0TGIMCnX5R
 BBwcClrrScLIsENiX+gvERdglI3ici+s3ml+OsoTHvAGiy5WilJ31AWttpOoP2HP4VcGi4j
 YvIqS+ddtjjByfduE+d/w==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:gySPTdFWeVU=:FZCDP43yHElLQ5kRtbMOM5
 Wz7S2rPKNGjIAwZSCOrbgraw/+gDAdPnVR8q4sc1xQ5kQtmAxIHOKPu9kvqo2YWU3dHa9Gczw
 VQPef4PcSu1Q1T5sxeSF3iN8wbYBTW5ZautFHa7rYtNp1Z06y7PAhheiaJmLAD8P1MwB9H6V7
 eGHhTaMRyYpP1IFw/4zgkdJJQIL8gsuQMMamZqolaqhWNMpnbaLw8bfPYvMh7/doaLU5m4762
 xFPLJA57YxuTkq/csPpN+8YmHFdoEF97v1GAl4Wsh+6pyONkkpGsHtnlCqV6CqGfk/NfRuGcj
 NLxgbfkYvpgUUWO0U9kmasx2S2zCL5in0XPUi5N1kyHpVcIemHSzA2E0zOAmflCvDfJMlUGdO
 H0Q4J/SAs+lgBd8FOiFEU1ZJPix38BjTAutIj/VNuoZf+WcmSue5I9k/DwTxFqKnZbbMTGr8a
 6xOjgDzhTny5MlfPzUkA5e4r7Wl23+YM3cGxAqwhTT3b378lHgaPovy6xug7065RixCcI6+gY
 fwsxJqa57NobzQmP2qAJ4XVMb1tzVDeqFEGTRt8SalPdcjnha4NMlGRew9vmOHHxFBErI7AWj
 r4Tvb0scQGtdD/UyXigT7nZepSo4p2UV/+AmjvNcVADZgbj6z5knIYqMNjFQ9i5V/m5iNGD7K
 Y2mRMxPeovk0ocYNTJsI+y27/heWNudJKNuj8ss09+OC2+UmqylIW9o4LyDyYsB2A910nKzik
 2VBANoSLipGKjU56gZc14wL0eBI+yTizSVV3Hf48L6U7aacxGcFJUbMrRIM3pd86IdHkZzWb5
 aiyCW64/Bmdy/FhN4i7J4Y6h3MiL4raic4Me1JFOCZOxRLsDcfy1ab+MWO26ng9USGx5qNdT6
 Qio9ptwHXu+CFrlT4OdhvY1kJ4X0aWIyuN4/MwG4+13XhW/9imGe2W3pZLdo8D5uvQyWhlt63
 qXlEtdgrU1g==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34260
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > Let me know how I can debug this issue further.  Would the display
 > engine trace help in this case ?  Emacs doesn't enter an infinite
 > recursion but from the CPU usage it is entering some sort of infinite
 > loop, but I can't figure out why.

Please tell me if the following hold when the hang occurs:

(1) You have at least two frames open.

(2) You run an externl process (likely shell) in a non-selected frame.

(3) The minibuffer window of the selected frame is or should be enlarged.

Thank you, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34260; Package emacs. Full text available.

Message received at 34260 <at> debbugs.gnu.org:


Received: (at 34260) by debbugs.gnu.org; 31 Jan 2019 03:40:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 30 22:40:06 2019
Received: from localhost ([127.0.0.1]:52087 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gp3Cv-0001JC-Ub
	for submit <at> debbugs.gnu.org; Wed, 30 Jan 2019 22:40:06 -0500
Received: from eggs.gnu.org ([209.51.188.92]:44861)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gp3Cu-0001If-6a
 for 34260 <at> debbugs.gnu.org; Wed, 30 Jan 2019 22:40:04 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54423)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gp3Co-0000IE-I8; Wed, 30 Jan 2019 22:39:58 -0500
Received: from [176.228.60.248] (port=4008 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gp3Cn-0004no-IU; Wed, 30 Jan 2019 22:39:58 -0500
Date: Thu, 31 Jan 2019 05:39:51 +0200
Message-Id: <835zu51omw.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
In-reply-to: <87imy5akel.fsf@HIDDEN> (message from Michael Heerdegen on Wed,
 30 Jan 2019 22:46:26 +0100)
Subject: Re: bug#34260: 27.0.50; Emacs randomly hangs during redisplay
References: <87lg31khsy.fsf@HIDDEN> <87imy5akel.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34260
Cc: 34260 <at> debbugs.gnu.org, jvshahid@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Michael Heerdegen <michael_heerdegen@HIDDEN>
> Date: Wed, 30 Jan 2019 22:46:26 +0100
> Cc: 34260 <at> debbugs.gnu.org
> 
> John Shahid <jvshahid@HIDDEN> writes:
> 
> > Let me know how I can debug this issue further.  Would the display
> > engine trace help in this case ?  Emacs doesn't enter an infinite
> > recursion but from the CPU usage it is entering some sort of infinite
> > loop, but I can't figure out why.
> 
> What you write reminds me of the bug I (a user) had reported: Bug
> #34179.

Certainly sounds like the same bug.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34260; Package emacs. Full text available.

Message received at 34260 <at> debbugs.gnu.org:


Received: (at 34260) by debbugs.gnu.org; 30 Jan 2019 21:46:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 30 16:46:36 2019
Received: from localhost ([127.0.0.1]:52005 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1goxgq-0007Ob-LF
	for submit <at> debbugs.gnu.org; Wed, 30 Jan 2019 16:46:36 -0500
Received: from mout.web.de ([212.227.17.12]:48039)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1goxgo-0007OK-Ni
 for 34260 <at> debbugs.gnu.org; Wed, 30 Jan 2019 16:46:35 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1548884787;
 bh=CSITwxeLBqnrBY76tjIkzpKFZ04DwTUhIk6I26cbG+c=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=bUtOBiP/e0lI4UBEFW9EhcvzdvlHciFY3ht+pnqTN5/cF1pnBTU9he8ZUpWhF63I/
 ZQolnxKEKo2o9y67TuvRWHyLphZC5/ldtfJYJUItUDrdUTA/uxOSaTWjsZZtaZU2yc
 HElLDMmQQO9IUaKvowQwLqEU/fVVz2jARl7GqLRI=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([188.110.196.137]) by smtp.web.de (mrweb103
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0Lm4hJ-1hOZUI1V0D-00ZfAZ; Wed, 30
 Jan 2019 22:46:27 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: John Shahid <jvshahid@HIDDEN>
Subject: Re: bug#34260: 27.0.50; Emacs randomly hangs during redisplay
References: <87lg31khsy.fsf@HIDDEN>
Date: Wed, 30 Jan 2019 22:46:26 +0100
In-Reply-To: <87lg31khsy.fsf@HIDDEN> (John Shahid's message of "Wed, 30 Jan
 2019 15:32:29 -0500")
Message-ID: <87imy5akel.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:NhfFaAxLVEXKgRQwYJluHGJZou1uePPe/limNHVgerkASu38QPt
 mxZGKPdzMvaINtCgA1pW/2Ea/Gm1pf1nX+Q4cL4mdMyO0mKxolkXt7IHbp67zw1APUXYMI9
 3Nfeias+DguLLhBHwvcppgWR2MkK6Oxmg9pxsr2P9PuRIn6pmc95RrYb0QqbrBkPd1pRAvP
 U/nakvLOhmbo8Y6NYiFKg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:yrPTUuNLfEo=:nwoogsb0xS+riwA+6ASs0N
 bT+zd15Pt6BCzAaVlFsMOEBw4Xip8iH1Ok4ml6/w3lAByawIkcs2KQDvcP/4xsvvPybG0oT2Q
 cWUb47Ota1zfoFbmLYe0Yiqv57BKzzFGKvIZ6HH1dxnT1l4fCsEpvUpxoF78vL6WOOUT+Byae
 y9CZNaeBmLLMzc4uELHLNsjWU5f2bXGgUVmdMNlLQlkuN1qqYY8DGk2uuSChV3q49DFsx2SCp
 bLs6ynLvU50iQvUmvf1FCX/Mqjd0COfMIsT5xolW/b74mAkftz+Fku+vO6LbpIO28RFcWhezp
 Bwa9lSGm/xNuKMMqRtnE2FW96gUTRl+nfKLGvwdahBHbssQ9wzyb77jzdGO7EiVxW3ptkhmHN
 6RguFWordhz4qP2TbD1O60w2hfjkHKeW+P4vA0HzusB5HfyquXPC1g4wbBjPUwLtwku+8YM5v
 rAFlHEGfsNAMhTa/nP2SY7c+NXMX3HFBeZ/0QhziCQj9Xp54lhcpurDp9zx4GJmKGhqcCU/8F
 ik7j2ZoLRhjuVqmDwtuHuFogLJinCYFFSMeI5C2FuUbctMop9w+fItGMKVw3KGKlBHI+yC9R1
 Fv+vzeqh6Ps69KCXFU6i1k/KSPtU8MHZD15xk6WwFY7Rr8sCFzpnSsY0qj1q7Go7EAUYz4UCR
 hFBkPfafwWViPNdoLQpsr8TUf8CVGWqHJvdjw6GHQbUBY+nrakZg6tOVBBrHJSIMBX3/XR866
 Al7YRhK+lOuaaoNuMIeJ7Ob2E1fHNjjvrKBvawa4AQZXadOzc3/3g2uZVDlX50Uh7MPvt0DGR
 HwTz53l4VZyzvAscQQhuMjtBSKKxW4liNKMLIKRmw0RybJlrgN6+rE6l7AgQwR8cgqMAkSXqv
 Axx9wZ81HgYM+DEU65bhXbBZGW1m0EemBHo14ACRZQ9cXaF7rISe28SlkFUbRtOuWqCXPicA5
 j2Rhh5Cqsbg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34260
Cc: 34260 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

John Shahid <jvshahid@HIDDEN> writes:

> Let me know how I can debug this issue further.  Would the display
> engine trace help in this case ?  Emacs doesn't enter an infinite
> recursion but from the CPU usage it is entering some sort of infinite
> loop, but I can't figure out why.

What you write reminds me of the bug I (a user) had reported: Bug
#34179.  Maybe you can check whether you are experiencing the same
issue?  There are suggested patches in this thread that fixed the hangs
for me.


Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34260; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Jan 2019 20:32:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 30 15:32:58 2019
Received: from localhost ([127.0.0.1]:51960 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gowXX-0005XO-Nf
	for submit <at> debbugs.gnu.org; Wed, 30 Jan 2019 15:32:56 -0500
Received: from eggs.gnu.org ([209.51.188.92]:60240)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jvshahid@HIDDEN>) id 1gowXU-0005X9-Th
 for submit <at> debbugs.gnu.org; Wed, 30 Jan 2019 15:32:53 -0500
Received: from lists.gnu.org ([209.51.188.17]:59795)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jvshahid@HIDDEN>) id 1gowXP-0004cu-P1
 for submit <at> debbugs.gnu.org; Wed, 30 Jan 2019 15:32:47 -0500
Received: from eggs.gnu.org ([209.51.188.92]:46371)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jvshahid@HIDDEN>) id 1gowXM-00074u-TC
 for bug-gnu-emacs@HIDDEN; Wed, 30 Jan 2019 15:32:47 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jvshahid@HIDDEN>) id 1gowXK-0004Zq-Ud
 for bug-gnu-emacs@HIDDEN; Wed, 30 Jan 2019 15:32:44 -0500
Received: from mail-qt1-x830.google.com ([2607:f8b0:4864:20::830]:41610)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <jvshahid@HIDDEN>) id 1gowXI-0004XA-Df
 for bug-gnu-emacs@HIDDEN; Wed, 30 Jan 2019 15:32:41 -0500
Received: by mail-qt1-x830.google.com with SMTP id l12so1052584qtf.8
 for <bug-gnu-emacs@HIDDEN>; Wed, 30 Jan 2019 12:32:37 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=1FpBuNryNsHcXIAOI00HLGG3UkpbaUOlA0oVmT2zjpE=;
 b=HgsYlTWUGU+1g4FujfJxDkFvGZu544xayFwraPR8oTBv1mQuCqv4G7/iqhBXe0hTI8
 ZioIHbOK1h8mc3G3Szm1S74iF4v0RMaBv9Ede8cO6IR7foUO4BQEruwzrQF4d8p9Ap5i
 uqUr1bShI6/xlIYoUvwt6zELIMNthUFq+VJkBIRTgNIBdC/DLldJ+VPLYLSGLSe+hnxx
 DUKN3ZZkmB6k64ITUM1kLsw2Rdqn97paVWpjnvt9BGWfGuKEcdpxrxzEEGSqTh/jBm6N
 n6HOwZzhgX/KMffwSa2Nuicw4ECZghOA129s4Bam4cQVxXkNxoPh2hVCakVslT/J9hOI
 Ktfg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=1FpBuNryNsHcXIAOI00HLGG3UkpbaUOlA0oVmT2zjpE=;
 b=pz2B+AqVuwPpc3Mty7xxzMQd6YQBvgUgv7IaV5OILSG5cjz1HrGAxkW5ASJPo6XMfp
 Gfe4AWgrx+QwfztOUqwAt3SBd2LzCFf9k4Sgv3l+35xNo4etMlI40c0UelIV0ZPIvlp1
 veMI8HuBOt4PjJeVIxvHV1RpOZVcYFEhW5Pk30m0samE/6zTV6zSTSu1kWECT1GXaMnt
 y7N2mUesP3K07NXcYhm2l00G67QCu9WjVJKM0sHoY+TcVGIcG1kK30zm0IEH6QtsE9eV
 3PVWAE3QCsmLOnYRS5IvFIbPsLy0f4v9abMpvh//AdNkMLCWNBnqghRRAb50z6UtHbbQ
 rMBA==
X-Gm-Message-State: AJcUukeZyj2mdeCg078y1O36SNBopHfvJpk5Adze2g7Xt60RVTQh4rlK
 SOsnLOR7xsXyc6nSrEMAVQpQ6EHE
X-Google-Smtp-Source: ALg8bN7Se2IH1iMdyCVUe9DN/nk+q79AJ6xzndFZozSg4KPm6VU17RsVNqBms0L1LQyLjEocbF6P8Q==
X-Received: by 2002:ac8:34b3:: with SMTP id w48mr32160458qtb.125.1548880355959; 
 Wed, 30 Jan 2019 12:32:35 -0800 (PST)
Received: from amun (cpe-104-162-85-46.nyc.res.rr.com. [104.162.85.46])
 by smtp.gmail.com with ESMTPSA id t123sm1767537qkc.6.2019.01.30.12.32.34
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 30 Jan 2019 12:32:34 -0800 (PST)
From: John Shahid <jvshahid@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50; Emacs randomly hangs during redisplay
Date: Wed, 30 Jan 2019 15:32:29 -0500
Message-ID: <87lg31khsy.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::830
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)


I have updated to the latest master a while ago and since then my Emacs
have been acting weird and becomes unusable.  I tried to turn on
debug-on-quit but I Emacs is always inside redisplay when I hit C-g.
Almost always the stacktrace has somewhere a call to `message` which in
turn calls `redisplay` and it just hangs and consumes 100% of the cpu.
I tried to debug the proces using gdb and found out that Emacs is always
inside `redisplay_internal' when I stop it using `kill -TSTP emacs'.

Worth noting that this problem isn't predictable and is hard to
reproduce.  It also might be related to EXWM and commit `e567ac1495'.

> 436c225f1b * Unbreak the macOS NS build
> 957090b795 *   Merge from origin/emacs-26
>            |\
> c9f6f86814 | * Prevent redrawing if frame is garbaged
> 00ba2267ed | * Attempt to fix hangs on MS-Windows due to C-g
> e567ac1495 * | Run window change functions during redisplay

I reverted my local copy of Emacs to '470082de55: List lengths are
always fixnums now' and haven't ran into any issues since then.

Let me know how I can debug this issue further.  Would the display
engine trace help in this case ?  Emacs doesn't enter an infinite
recursion but from the CPU usage it is entering some sort of infinite
loop, but I can't figure out why.


In GNU Emacs 27.0.50 (build 4, x86_64-pc-linux-gnu, GTK+ Version 3.24.4)
 of 2019-01-30 built on amun
Repository revision: 1d804268c4656e9a7561a0bdff728d932ffd3812
Repository branch: wtf
Windowing system distributor 'The X.Org Foundation', version 11.0.12003000
System Description: Arch Linux

Recent messages:
Mark set
08bc407a228796b64e321cb28b38b39062ab1732
(New file)
Mark set
Starting new Ispell process /usr/bin/ispell with default dictionary...
Invalid face attribute :inherit mu4e-header-key-face [17 times]
Message modified; kill anyway? (y or n) y
[mu4e] Found 102 matching messages
Mark set
Quit
Quit
Configured using:
 'configure --prefix=/home/jvshahid/bin/emacs-27
 PKG_CONFIG_PATH=/home/jvshahid/.gvm/pkgsets/go1.11.1/global/overlay/lib/pkgconfig:'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS GLIB
NOTIFY INOTIFY ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM THREADS LIBSYSTEMD JSON LCMS2 GMP

Important settings:
  value of $LC_COLLATE: en_US.UTF-8
  value of $LC_CTYPE: en_US.UTF-8
  value of $LC_MESSAGES: en_US.UTF-8
  value of $LC_MONETARY: en_US.UTF-8
  value of $LC_NUMERIC: en_US.UTF-8
  value of $LC_TIME: en_US.UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: mu4e-headers

Minor modes in effect:
  recentf-mode: t
  hl-line-mode: t
  global-magit-file-mode: t
  diff-auto-refine-mode: t
  global-git-commit-mode: t
  shell-dirtrack-mode: t
  show-paren-mode: t
  display-battery-mode: t
  flx-ido-mode: t
  global-company-mode: t
  company-mode: t
  async-bytecomp-package-mode: t
  winner-mode: t
  global-auto-revert-mode: t
  savehist-mode: t
  display-time-mode: t
  direnv-mode: t
  projectile-mode: t
  straight-use-package-mode: t
  straight-package-neutering-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  auto-save-visited-mode: t

Load-path shadows:
/home/jvshahid/.emacs.d/straight/build/jsonrpc/jsonrpc hides /home/jvshahid/bin/emacs-27/share/emacs/27.0.50/lisp/jsonrpc
/home/jvshahid/.emacs.d/straight/build/flymake/flymake hides /home/jvshahid/bin/emacs-27/share/emacs/27.0.50/lisp/progmodes/flymake
/home/jvshahid/.emacs.d/straight/build/cl-lib/cl-lib hides /home/jvshahid/bin/emacs-27/share/emacs/27.0.50/lisp/emacs-lisp/cl-lib
/home/jvshahid/.emacs.d/straight/build/let-alist/let-alist hides /home/jvshahid/bin/emacs-27/share/emacs/27.0.50/lisp/emacs-lisp/let-alist
/home/jvshahid/.emacs.d/straight/build/seq/seq hides /home/jvshahid/bin/emacs-27/share/emacs/27.0.50/lisp/emacs-lisp/seq
/home/jvshahid/.emacs.d/straight/build/cl-generic/cl-generic hides /home/jvshahid/bin/emacs-27/share/emacs/27.0.50/lisp/emacs-lisp/cl-generic

Features:
(shadow sort emacsbug flyspell ispell supercite regi face-remap
cap-words superword subword cc-mode cc-fonts cc-guess cc-menus cc-cmds
cc-styles cc-align cc-engine cc-vars cc-defs tramp-archive tramp-gvfs
zeroconf dbus novice tabify pcmpl-unix image-file ffap filecache recentf
tree-widget helm-x-files helm-for-files helm-bookmark helm-adaptive
magit-bookmark bookmark helm-external helm-net xml url url-proxy
url-privacy url-expand url-methods url-history url-cookie url-domsuf
url-util woman man helm-man conf-mode mu4e desktop frameset
mu4e-speedbar mu4e-main mu4e-view cal-menu calendar cal-loaddefs
browse-url gnus-art mm-uu mml2015 mm-view mml-smime smime dig mailcap
gnus-sum gnus-group gnus-undo gnus-start gnus-cloud nnimap nnmail
mail-source utf7 netrc nnoo gnus-spec gnus-int gnus-range gnus-win gnus
nnheader wid-edit mu4e-headers mu4e-compose mu4e-context mu4e-draft
mu4e-actions rfc2368 smtpmail sendmail mu4e-mark mu4e-message flow-fill
mu4e-proc mu4e-utils doc-view image-mode mu4e-lists mu4e-vars hl-line
mu4e-meta mail-extr pp yaml-mode vc-git sh-script smie executable
bug-reference jka-compr eshell-z em-unix em-term term disp-table ehelp
em-script em-prompt em-ls em-hist em-pred em-glob em-dirs em-cmpl
em-basic em-banner em-alias esh-var esh-cmd esh-opt esh-io esh-ext
esh-proc esh-arg esh-groups eshell esh-module esh-mode esh-util
eieio-opt speedbar sb-image ezimage dframe help-fns misearch
multi-isearch files-x tramp-sh tramp-cache tramp tramp-loaddefs trampver
tramp-compat ucs-normalize parse-time windmove helm-command helm-elisp
helm-eval edebug backtrace helm-info helm-mode magit-extras
magit-submodule magit-obsolete magit-blame magit-stash magit-bisect
magit-push magit-pull magit-fetch magit-clone magit-remote magit-commit
magit-sequence magit-notes magit-worktree magit-tag magit-merge
magit-branch magit-reset magit-files magit-refs magit-status magit
magit-repos magit-apply magit-wip magit-log which-func imenu magit-diff
smerge-mode diff-mode magit-core magit-autorevert magit-process
magit-margin magit-mode git-commit magit-git magit-section magit-utils
magit-popup crm log-edit message rmc puny rfc822 mml mml-sec epa derived
epg gnus-util rmail rmail-loaddefs time-date mm-decode mm-bodies
mm-encode mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums
mail-prsvr mailabbrev mail-utils gmm-utils mailheader pcvs-util add-log
with-editor shell pcomplete dired-aux parinfer-ext paredit parinfer
ediff-merg ediff-wind ediff-diff ediff-mult ediff-help ediff-init
ediff-util ediff mode-local find-func parinferlib dired-x dired
dired-loaddefs paren battery cus-start cus-load flx-ido flx
floobits-autoloads highlight-autoloads arduino-mode-autoloads ede/auto
rust-mode-autoloads flycheck-clojure-autoloads cider-autoloads
sesman-autoloads spinner-autoloads queue-autoloads
clojure-mode-autoloads parinfer-autoloads paredit-autoloads
ginkgo-mode-autoloads go-rename-autoloads company-go-autoloads
go-eldoc-autoloads go-guru-autoloads go-mode-autoloads robe-autoloads
inf-ruby-autoloads rvm-autoloads eglot-autoloads flymake-autoloads
jsonrpc-autoloads company-oddmuse company-keywords company-etags etags
multifile generator xref project company-gtags company-dabbrev-code
company-dabbrev company-files company-capf company-cmake company-xcode
company-clang company-semantic company-eclim company-template
company-bbdb company company-autoloads emms-autoloads pianobar-autoloads
eshell-z-autoloads cl helm-config helm-easymenu async-bytecomp
helm-projectile helm-files helm-tags helm-buffers helm-grep helm-regexp
format-spec helm-utils helm-locate helm-help helm-types helm helm-source
eieio-compat helm-multi-match helm-lib advice async
helm-projectile-autoloads helm-autoloads helm-core-autoloads
popup-autoloads git-link-autoloads magit-autoloads magit-popup-autoloads
git-commit-autoloads exwm-randr xcb-randr exwm-config ido exwm
exwm-input xcb-keysyms xcb-xkb exwm-manage exwm-floating xcb-cursor
xcb-render exwm-layout exwm-workspace exwm-core xcb-ewmh xcb-icccm xcb
xcb-xproto xcb-types xcb-debug exwm-autoloads xelb-autoloads
cl-generic-autoloads tango-dark-theme server winner edmacro kmacro
autorevert filenotify savehist time direnv dash projectile grep ibuf-ext
ibuffer ibuffer-loaddefs direnv-autoloads with-editor-autoloads
async-autoloads edit-indirect-autoloads concourse-mode-autoloads
hierarchy-autoloads flx-ido-autoloads flx-autoloads wgrep-autoloads
flycheck-autoloads seq-autoloads let-alist-autoloads dash-autoloads
ace-window-autoloads avy-autoloads dockerfile-mode-autoloads s-autoloads
yasnippet-snippets-autoloads yasnippet-autoloads protobuf-mode-autoloads
markdown-mode-autoloads yaml-mode-autoloads etags-select-autoloads
projectile-autoloads pkg-info-autoloads epl-autoloads debbugs-autoloads
cl-lib-autoloads straight-autoloads rx compile comint ansi-color ring
cl-extra straight info autoload radix-tree lisp-mnt easy-mmode pcase
subr-x checkdoc thingatpt help-mode elec-pair mule-util finder-inf
package easymenu epg-config url-handlers url-parse auth-source cl-seq
eieio eieio-core cl-macs eieio-loaddefs password-cache json map url-vars
seq byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib tooltip
eldoc electric uniquify ediff-hook vc-hooks lisp-float-type mwheel
term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify lcms2 dynamic-setting
system-font-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty make-network-process emacs)

Memory information:
((conses 16 1123477 636547)
 (symbols 48 61493 19)
 (strings 32 457169 87036)
 (string-bytes 1 21729363)
 (vectors 16 123050)
 (vector-slots 8 2723362 688044)
 (floats 8 792 4873)
 (intervals 56 23521 8702)
 (buffers 992 101))




Acknowledgement sent to John Shahid <jvshahid@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#34260; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 30 Mar 2019 03:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.